petsc-3.6.2 2015-10-02
Report Typos and Errors

# PetscSectionSetClosureIndex

Set a cache of points in the closure of each point in the section

### Synopsis

    #include "petscvec.h"
    PetscErrorCode PetscSectionSetClosureIndex(PetscSection section, PetscObject obj, PetscSection clSection, IS clPoints)

### Input Parameters

| section | - The PetscSection
| obj | - A PetscObject which serves as the key for this index
| clSection | - Section giving the size of the closure of each point
| clPoints | - IS giving the points in each closure

Note: We compress out closure points with no dofs in this section

### See Also

PetscSectionGetClosureIndex(), DMPlexCreateClosureIndex()

Level:intermediate
Location:src/vec/is/utils/vsectionis.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages